## org.apache.myfaces.custom.layout
Class HtmlLayoutRenderer

    java.lang.Object
      javax.faces.render.Renderer
          org.apache.myfaces.renderkit.html.HtmlRenderer
              org.apache.myfaces.custom.layout.HtmlLayoutRenderer

public class HtmlLayoutRenderer
extends HtmlRenderer

Version:
  $Revision: 239380 $ $Date: 2005-08-23 05:11:59 -0400 (Tue, 23 Aug 2005) $
Author:
  Manfred Geiler (latest modification by $Author: mmarinschek $)

Field Summary
`static java.lang.String` `CLASSIC_LAYOUT`
`static java.lang.String` `NAV_RIGHT_LAYOUT`
`static java.lang.String` `UPSIDE_DOWN_LAYOUT`

Constructor Summary
`HtmlLayoutRenderer()`

Method Summary
`void` `encodeBegin(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeChildren(javax.faces.context.FacesContext context, javax.faces.component.UIComponent component)`
`void` `encodeEnd(javax.faces.context.FacesContext facesContext, javax.faces.component.UIComponent component)`
`boolean` `getRendersChildren()`
`protected void` `renderClassic(javax.faces.context.FacesContext facesContext, HtmlPanelLayout panelLayout)`
`protected void` `renderNavRight(javax.faces.context.FacesContext facesContext, HtmlPanelLayout panelLayout)`
`protected void` `renderTableCell(javax.faces.context.FacesContext facesContext, javax.faces.context.ResponseWriter writer, javax.faces.component.UIComponent component, int colspan, java.lang.String styleClass, java.lang.String style)`
`protected void` `renderUpsideDown(javax.faces.context.FacesContext facesContext, HtmlPanelLayout panelLayout)`

Methods inherited from class javax.faces.render.Renderer
`convertClientId, decode, getConvertedValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASSIC_LAYOUT

    public static final java.lang.String CLASSIC_LAYOUT

See Also:
  Constant Field Values

### NAV_RIGHT_LAYOUT

    public static final java.lang.String NAV_RIGHT_LAYOUT

See Also:
  Constant Field Values

### UPSIDE_DOWN_LAYOUT

    public static final java.lang.String UPSIDE_DOWN_LAYOUT

See Also:
  Constant Field Values

Constructor Detail

### HtmlLayoutRenderer

    public HtmlLayoutRenderer()

Method Detail

### getRendersChildren

    public boolean getRendersChildren()

### encodeBegin

    public void encodeBegin(javax.faces.context.FacesContext context,
                            javax.faces.component.UIComponent component)
                     throws java.io.IOException

  Throws:
    `java.io.IOException`

### encodeChildren

    public void encodeChildren(javax.faces.context.FacesContext context,
                               javax.faces.component.UIComponent component)
                        throws java.io.IOException

  Overrides:
    `encodeChildren` in class `HtmlRenderer`
  Throws:
    `java.io.IOException`

### encodeEnd

    public void encodeEnd(javax.faces.context.FacesContext facesContext,
                          javax.faces.component.UIComponent component)
                   throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderClassic

    protected void renderClassic(javax.faces.context.FacesContext facesContext,
                                 HtmlPanelLayout panelLayout)
                          throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderNavRight

    protected void renderNavRight(javax.faces.context.FacesContext facesContext,
                                  HtmlPanelLayout panelLayout)
                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderUpsideDown

    protected void renderUpsideDown(javax.faces.context.FacesContext facesContext,
                                    HtmlPanelLayout panelLayout)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### renderTableCell

    protected void renderTableCell(javax.faces.context.FacesContext facesContext,
                                   javax.faces.context.ResponseWriter writer,
                                   javax.faces.component.UIComponent component,
                                   int colspan,
                                   java.lang.String styleClass,
                                   java.lang.String style)
                            throws java.io.IOException

  Throws:
    `java.io.IOException`